xt_asn_build(1)

Name

xt_asn_build — convert ASN.csv to packed format for xt_asn

Syntax

/usr/libexec/xt_asn/xt_asn_build [-D target_dir] [-S source_dir] [-O output_file]

Description

xt_asn_build is used to build packed raw representations of the range database that the xt_asn module relies on. Since kernel memory is precious, much of the preprocessing is done in userspace by this very building tool. One file is produced for each country, so that no more addresses than needed are required to be loaded into memory. The ranges in the packed database files are also ordered, as xt_asn relies on this property for its bisection approach to work.

Since the script is usually installed to the libexec directory of the xtables-addons package and this is outside $PATH (on purpose), invoking the script requires it to be called with a path.

-D target_dir
    Specifies the target directory into which the files are to be put. Defaults to ".".

-S source_dir
    Specifies the source directory from which to read the two files by the name of GeoLite2-ASN-Blocks-IPv?.csv,

-O output_file
    Specifies an optioan target file to output DNS records for ASN to name (TXT-RRs) and network (APL-RRs). Defaults to no output. The file should be sorted postprocessing to remove duplicate TXT records and to combine APL-RRs into a more compact record set.

Application

Shell commands to build the databases and put them to where they are expected:

xt_asn_build -D /usr/share/xt_asn

See also

xt_asn_dl(1)